Package wx :: Package lib :: Module delayedresult :: Class SenderWxEvent

[frames | no frames]

## Class SenderWxEvent

    Sender --+
             |
            SenderWxEvent

This sender sends the delayed result produced in the worker thread to an event handler in the main thread, via a wx event of class eventClass. The result is an attribute of the event (default: "delayedResult".

Method Summary
| ``__init__`(self, handler, eventClass, resultAttr, jobID, **kwargs)` The handler must derive from wx.EvtHandler.

Method Details

### __init__(self, handler, eventClass, resultAttr='delayedResult', jobID=None, **kwargs)
(Constructor)

The handler must derive from wx.EvtHandler. The event class is typically the first item in the pair returned by wx.lib.newevent.NewEvent(). You can use the resultAttr to change the attribute name of the generated event's delayed result.

  Overrides:
    `wx.lib.delayedresult.Sender.__init__`

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:13:30 2007 | http://epydoc.sf.net